Subject: Lock files for default action

From: [email-masked] (s.merchant)
Date: 3 Apr 1995 18:35 EDT

The mailer on my system (world.std.com) appears to use at least two type
of lock files (as revealed by an "ls *lock* *lck*" on the mail spool
directory): user.lock and user.rolock (I guess the "ro" is read-only,
but mail reading programs, while ultimately move the contents to a
mailbox in the user's directory--which is definitely a "write"
operation--seem to use .rolock too).

My question is: do the kernel locking primitives look for both .lock
and .rolock--is this some sort of standard?  In other words, if I set
procmail's lock suffix to .lock, will it automatically look for .rolock
too?  If not, it seems there's a loophole...

Shahrukh Merchant
[email-masked]